using System.Runtime.Serialization;

namespace _1_Model
{

  [Telerik.OpenAccess.Persistent()]
  public class Contact
  {
    [Telerik.OpenAccess.FetchField("ContactFetch")]
    private string _contactName;

    private string _phone;

    [Telerik.OpenAccess.FetchField("ContactFetch", Path = "_contactGroupName")]
    private ContactGroup _contactGroup;

    public string ContactName
    {
      get { return _contactName; }
      set { _contactName = value; }
    }

    public string Phone
    {
      get { return _phone; }
      set { _phone = value; }
    }

    public ContactGroup ContactGroup
    {
      get { return _contactGroup; }
      set { _contactGroup = value; }
    }
  }
}
